Package com.documentum.fc.client.mq

# Interface IDfMessageQueueManager

public interface IDfMessageQueueManager
Created by IntelliJ IDEA. User: fanz Date: Mar 20, 2011 Time: 11:21:27 AM To change this template use File | Settings | File Templates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttributes(String queueName, Collection<IDfAttr> attrs)`
  Drop attributes from an existing message queue.
  `IDfAttr`
  `createAttribute(String name, boolean repeating, int type)`
  Create a message queue attribute that implement IDfAttr.
  `IDfAttr`
  `createAttribute(String name, boolean repeating, int type, int length)`
  Create a message queue attribute that implement IDfAttr.
  `IDfAttr`
  `createAttribute(String name, boolean repeating, int type, int length, boolean notQualifiable)`
  Create a message queue attribute that implement IDfAttr.
  `void`
  `destroyMessageQueue(String queueName)`
  Expunge the message queue with the given name `queueName`.
  `void`
  `dropAttributes(String queueName, Collection<String> attrNames)`
  Add attributes to the existing message queue.
  `List<String>`
  `getAllMessageQueueNames()`
  Return the names of all message queues in the repository as a collection of String.
  `IDfMessageQueue`
  `getMessageQueue(String queueName)`
  Fetch a message queue with the given `queueName`.
  `boolean`
  `hasAttribute(String queueName, String attrName)`
  Checks if the given message queue already has the specified attribute

- ## Method Details

  - ### createAttribute

    IDfAttr createAttribute(String name, boolean repeating, int type) throws DfException
    Create a message queue attribute that implement IDfAttr.
    Parameters:
      `name` - The attribute name
      `repeating` - Indicate if the attribute is a repeating atrtibute
      `type` - The attribute data type
    Returns:
      An attribute that implements IDfAttr.
    Throws:
      `DfException` - if the specified message queue already exists, or unable to create the message queue due to other server errors.

  - ### createAttribute

    IDfAttr createAttribute(String name, boolean repeating, int type, int length) throws DfException
    Create a message queue attribute that implement IDfAttr.
    Parameters:
      `name` - The attribute name
      `repeating` - Indicate if the attribute is a repeating atrtibute
      `type` - The attribute data type
      `length` - In case of String type, tells the length of the string.
    Returns:
      An attribute that implements IDfAttr.
    Throws:
      `DfException` - if the specified message queue already exists, or unable to create the message queue due to other server errors.

  - ### createAttribute

    IDfAttr createAttribute(String name, boolean repeating, int type, int length, boolean notQualifiable) throws DfException
    Create a message queue attribute that implement IDfAttr.
    Parameters:
      `name` - The attribute name
      `repeating` - Indicates if the attribute is a repeating atrtibute
      `type` - The attribute data type
      `length` - In case of String type, tells the length of the string.
      `notQualifiable` - Indicates if the attribute is qualifiable or not. The default is qualifiable.
    Returns:
      An attribute that implements IDfAttr.
    Throws:
      `DfException` - if the specified message queue already exists, or unable to create the message queue due to other server errors.

  - ### getMessageQueue

    IDfMessageQueue getMessageQueue(String queueName) throws DfException
    Fetch a message queue with the given `queueName`.
    Parameters:
      `queueName` - The name of the message queue to fetch.
    Returns:
      A message queue object that implements IDfMessageQueue.
    Throws:
      `DfException` - if the specified message queue does not exist or some other server errors

  - ### destroyMessageQueue

    void destroyMessageQueue(String queueName) throws DfException
    Expunge the message queue with the given name `queueName`.
    Parameters:
      `queueName` - The name of the message queue to destroy.
    Throws:
      `DfException` - if the specified message queue does not exist, or other server errors

  - ### dropAttributes

    void dropAttributes(String queueName, Collection<String> attrNames) throws DfException
    Add attributes to the existing message queue.
    Parameters:
      `queueName` - The name of the message queue to which to add attributes
      `attrNames` - A collectoin of attribute names to drop.
    Throws:
      `DfException` - if the specified message queue does not exist, or other server errors

  - ### addAttributes

    void addAttributes(String queueName, Collection<IDfAttr> attrs) throws DfException
    Drop attributes from an existing message queue.
    Parameters:
      `queueName` - The name of the message queue to which to add attributes
      `attrs` - A collectoin of attribute objects to be added.
    Throws:
      `DfException` - if the specified message queue does not exist, or other server errors

  - ### hasAttribute

    boolean hasAttribute(String queueName, String attrName) throws DfException
    Checks if the given message queue already has the specified attribute
    Parameters:
      `queueName` - The name of a message queue
      `attrName` - An attribute name
    Returns:
      `true` if the queue already has the atribute, `false` otherwise.
    Throws:
      `DfException` - if the specified message queue does not exist, or other server errors

  - ### getAllMessageQueueNames

    List<String> getAllMessageQueueNames() throws DfException
    Return the names of all message queues in the repository as a collection of String.
    Throws:
      `DfException` - if server errors.